// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'WebViews',
    backgroundColor:'#fff'
});
var tab1 = Titanium.UI.createTab({  
    icon:'KS_nav_views.png',
    title:'WebViews',
    window:win1
});

var view1 = Titanium.UI.createWebView({
    scrollsToTop: false,
    backgroundColor: '#c77',
    html: '<p>This webview bounces</p>',
    left: 0,
    top: 0,
    width: '50%',
    height: '50%'
});
win1.add(view1);

var view2 = Titanium.UI.createWebView({
    scrollsToTop: false,
    disableBounce: true,
    backgroundColor: '#7c7',
    html: '<p>This webview does not bounce.</p><p>It has been initialized with <code>{disableBounce: true}</code></p><p>Scroll it to see how it does not bounce.</p>',
    left: '50%',
    top: 0,
    width: '50%',
    height: '50%'
});
win1.add(view2);

var view3 = Titanium.UI.createWebView({
    scrollsToTop: true,
    backgroundColor: '#77c',
    html: '<p>This webview scrolls top top when tapping the status bar.</p><p>It demonstrates the added <code>scrollsToTop</code> property</p>' +
        '<ol><li>Scroll it to the bottom<li>Then tap the status bar<li>This WebView schould scroll to the top</ol>' + 
        '<p>To make this work, all other visible and scrollable views need to have their <code>scrollsToTop</code> properties set to <code>false</code>',
    left: 0,
    top: '50%',
    width: '100%',
    height: '50%'
});
win1.add(view3);


//
// create controls tab and root window
//
var win2 = Titanium.UI.createWindow({  
    title:'ScrollViews',
    backgroundColor:'#fff'
});
var tab2 = Titanium.UI.createTab({  
    icon:'KS_nav_ui.png',
    title:'ScrollViews',
    window:win2
});

var scrollView1 = Titanium.UI.createScrollView({
    contentHeight: 675,
    layout: 'vertical',
    backgroundColor: '#c77',
    scrollsToTop: false,
    width: '50%',
    left: 0
});

var label1 = Titanium.UI.createLabel({
	color:'#000',
	text:'This scrollview does not scroll to top when tapping the status bar (.scrollsToTop = false)',
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto',
    height: 675
});
scrollView1.add(label1);

var scrollView2 = Titanium.UI.createScrollView({
    contentHeight: 675,
    layout: 'vertical',
    backgroundColor: '#77c',
    width: '50%',
    left: '50%'
});

var label2 = Titanium.UI.createLabel({
	color:'#000',
	text:'This scrollview scrolls to top when tapping the status bar',
	font:{fontSize:20,fontFamily:'Helvetica Neue'},
	textAlign:'center',
	width:'auto',
    height: 675
});
scrollView2.add(label2);

win2.add(scrollView1);
win2.add(scrollView2);



//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);  


// open tab group
tabGroup.open();
